net.dontdrinkandroot.visualization.item

## Class ImageItem

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.ImageItem

All Implemented Interfaces:
  VisualItem

    public class ImageItem
    extends AbstractVisualItem

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`ImageItem(File imageFile, int width, int height, int padding)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`protected Rectangle2D` `updateBounds()`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`getBounds, getPosition, setPosition, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageItem

    public ImageItem(File imageFile,
             int width,
             int height,
             int padding)

### Method Detail

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`
Specified by:
  `draw` in class `AbstractVisualItem`

#### updateBounds

    protected Rectangle2D updateBounds()

Specified by:
  `updateBounds` in class `AbstractVisualItem`